[PC-BSD Commits] r868 - pbibuild/modules/warzone/overlay-dir

svn at pcbsd.org svn at pcbsd.org
Fri Nov 9 10:38:39 PST 2007


Author: gonzalo
Date: 2007-11-09 10:38:39 -0800 (Fri, 09 Nov 2007)
New Revision: 868

Modified:
   pbibuild/modules/warzone/overlay-dir/PBI.FirstRun.sh
Log:
3D APP warning code added

Modified: pbibuild/modules/warzone/overlay-dir/PBI.FirstRun.sh
===================================================================
--- pbibuild/modules/warzone/overlay-dir/PBI.FirstRun.sh	2007-11-09 16:33:28 UTC (rev 867)
+++ pbibuild/modules/warzone/overlay-dir/PBI.FirstRun.sh	2007-11-09 18:38:39 UTC (rev 868)
@@ -44,4 +44,14 @@
       kdialog --sorry "Warzone 2100 is already installed, it must be uninstalled before loading this PBI"
       return 2
     fi
-fi 
+fi
+
+#3D APPLICATION: 3D ACC IS NEEDED
+ 
+glxinfo | grep "direct rendering:" | grep " Yes" 2>/dev/null
+if [ "$?" != "0" ]
+then
+   kdialog --msgbox "Your system does not appear to have hardware 3D 
+support enabled. This application requires 3D acceleration to function 
+properly."
+fi



More information about the Commits mailing list